Package com.microblink.blinkid.fragment.overlay.blinkid

# Enum Class BlinkIdOverlayView.ProcessingError

java.lang.Object
java.lang.Enum<BlinkIdOverlayView.ProcessingError>
com.microblink.blinkid.fragment.overlay.blinkid.BlinkIdOverlayView.ProcessingError

All Implemented Interfaces:
  `Serializable`, `Comparable<BlinkIdOverlayView.ProcessingError>`, `Constable`

Enclosing interface:
  BlinkIdOverlayView

public static enum BlinkIdOverlayView.ProcessingError extends Enum<BlinkIdOverlayView.ProcessingError>
Supported processing errors.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLUR_DETECTED`
  `FACE_PHOTO_NOT_FULLY_VISIBLE`
  `GLARE_DETECTED`
  `MANDATORY_FIELD_MISSING`
  `SCANNING_WRONG_SIDE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BlinkIdOverlayView.ProcessingError`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BlinkIdOverlayView.ProcessingError[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MANDATORY_FIELD_MISSING

    public static final BlinkIdOverlayView.ProcessingError MANDATORY_FIELD_MISSING

  - ### BLUR_DETECTED

    public static final BlinkIdOverlayView.ProcessingError BLUR_DETECTED

  - ### GLARE_DETECTED

    public static final BlinkIdOverlayView.ProcessingError GLARE_DETECTED

  - ### SCANNING_WRONG_SIDE

    public static final BlinkIdOverlayView.ProcessingError SCANNING_WRONG_SIDE

  - ### FACE_PHOTO_NOT_FULLY_VISIBLE

    public static final BlinkIdOverlayView.ProcessingError FACE_PHOTO_NOT_FULLY_VISIBLE

- ## Method Details

  - ### values

    public static BlinkIdOverlayView.ProcessingError[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BlinkIdOverlayView.ProcessingError valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null